QlikView 的系统要求

本节列出了要成功安装和运行 QlikView,目标系统必须满足的条件。

QlikView Desktop

平台
  • Microsoft Windows 7 x64
  • Microsoft Windows 8.1 x64
  • Microsoft Windows 10 x64
  • Microsoft Windows Server 2008 R2
  • Microsoft Windows Server 2012
  • Microsoft Windows Server 2012 R2
  • Microsoft Windows Server 2016
处理器 (CPU) Multi-core x64 兼容的处理器
内存

最小 4 GB。

根据数据量,可能需要更大容量。QlikView 是一个内存中的分析技术,QlikView 产品的内存需求与所分析的数据量直接相关。

磁盘空间 安装总共需要 300 MB
安全性
  • Microsoft Active DirectoryNTLMKerberos
  • 本地 Windows 用户帐户 (NTLM)
  • 第三方安全软件(要求QlikView Server Enterprise Edition

浏览器支持

浏览器 AccessPoint QlikView 门户 适用于 Microsoft Internet ExplorerQlikView QlikView Ajax 客户端
Microsoft Internet Explorer 11

√(插件)
Microsoft Edge(最新 版本)  
Mozilla Firefox(最新版本)  
Apple Safari 11Apple Safari 12  
Google Chrome(适用于 Microsoft WindowsApple Mac 的最新版本)  
Apple Mobile SafariiOS 11 和 iOS 12 设备)  
Android 手机和平板电脑(Google Chrome 浏览器的最新版本)  

QlikView Server

本节列出了要成功安装和运行 QlikView Server,目标系统必须满足的条件。

平台
  • Microsoft Windows Server 2008 R2
  • Microsoft Windows Server 2012
  • Microsoft Windows Server 2012 R2
  • Microsoft Windows Server 2016

仅供开发和测试使用:

  • Microsoft Windows 7
  • Microsoft Windows 8.1
  • Microsoft Windows 10 Anniversary Update (build 1607) or later
处理器 (CPU) 多核 x64 兼容的处理器
内存 最小 4 GB。根据数据量,可能需要更大容量。QlikView 是一个在内存中的分析系统,QlikView 产品的内存需求与所分析的数据量密切相关。
磁盘空间 安装总共需要 450 MB
安全性
  • Microsoft Active DirectoryNTLMKerberos
  • 本地 Windows 用户帐户 (NTLM)
  • 第三方安全软件(要求QlikView Server Enterprise Edition
Web 服务器
  • QlikView Web 服务器
  • Microsoft IIS 7、7.5、8、8.5 或 10
管理控制台
  • Microsoft Edge
  • Microsoft Internet Explorer 9、10 和 11
  • Mozilla Firefox (最新版本)
  • Google Chrome (最新版本)
.NET 框架

4.7.2 或更高版本

Internet 协议
  • IPv4
  • IPv6
  • 双协议栈(IPv4 和 IPv6)
Qlik Sense 兼容性  无法在已经安装 Qlik Sense Enterprise 的计算机上安装 QlikView Server

QlikView Publisher

QlikView PublisherQlikView Server. 中额外许可的模块。该模块通过将许可证应用到 QlikView Server 进行安装。

存储库数据库
  • 本机 XML
  • SQL Server 2008、2012、2016 或 2017

QlikView Workbench

QlikView WorkbenchQlikView Server. 中额外许可的模块。该模块通过将许可证应用到 QlikView Server 进行安装。QlikView Workbench 要求使用 QlikView Server Enterprise Edition

仅内存中数据字段和使用这些字段的对象支持 QlikView Workbench。对于 Direct Discovery 字段和使用 Direct Discovery 字段的对象,则不受支持。

开发工具
  • Microsoft Visual Studio 2010
  • Microsoft Visual Web Developer 2010 Express Edition
  • Microsoft Visual Studio 2012
  • Microsoft Visual Studio 2013
  • Microsoft Visual Studio 2015
内容管理系统集成
  • Microsoft SharePoint 2013
  • Microsoft SharePoint 2016